Read a delivery handoff
GET
/v1/workspace/handoffs/{handoff_id}
const url = 'https://api.vocapable.com/v1/workspace/handoffs/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/workspace/handoffs/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”handoff_id
required
Handoff Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceHandoff
object
id
required
Id
string
opportunity_id
required
Opportunity Id
string
opportunity_title
required
Opportunity Title
string
organization_id
required
Organization Id
string
organization_name
required
Organization Name
string
prerequisites
required
sender
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
recipient
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
fallback
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
responsible
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
status
required
Status
string
overdue
required
Overdue
boolean
accepted_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
milestones
required
Milestones
Array<object>
WorkspaceHandoffMilestoneobject
id
required
Id
string
title
required
Title
string
completed_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
completion_evidence
required
Any of:
WorkspaceHandoffEvidence
object
summary
required
Summary
string
customer_confirmed
required
Customer Confirmed
boolean
recorded_by
required
Any of:
WorkspacePersonRef
A teammate named on a record: the id the server holds and the name to show.
object
user_id
required
User Id
string
name
required
Name
string
null
recorded_at
required
Recorded At
string format: date-time
null
payment_required
required
Payment Required
boolean
revision
required
Revision
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{ "prerequisites": [ { "kind": "manual" } ], "status": "preparing"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}